package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaPaperMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaPaper;
import com.goldenwater.slaj.ttsa.service.IBisTtsaPaperService;

@Service
public class BisTtsaPaperServiceImpl implements IBisTtsaPaperService {
    @Autowired
    private BisTtsaPaperMapper bisTtsaPaperMapper;

    @Override
    public BisTtsaPaper selectBisTtsaPaperByGuid(String guid) {
        return bisTtsaPaperMapper.selectBisTtsaPaperByGuid(guid);
    }

    @Override
    public List<BisTtsaPaper> selectBisTtsaPaperList(BisTtsaPaper bisTtsaPaper) {
        return bisTtsaPaperMapper.selectBisTtsaPaperList(bisTtsaPaper);
    }

    @Override
    public int insertBisTtsaPaper(BisTtsaPaper bisTtsaPaper) {
        return bisTtsaPaperMapper.insertBisTtsaPaper(bisTtsaPaper);
    }

    @Override
    public int updateBisTtsaPaper(BisTtsaPaper bisTtsaPaper) {
        return bisTtsaPaperMapper.updateBisTtsaPaper(bisTtsaPaper);
    }

    @Override
    public int deleteBisTtsaPaperByGuid(String guid) {
        return bisTtsaPaperMapper.deleteBisTtsaPaperByGuid(guid);
    }

    @Override
    public int deleteBisTtsaPaperByGuids(String[] guids) {
        return bisTtsaPaperMapper.deleteBisTtsaPaperByGuids(guids);
    }
}
